summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2020-07-10 07:42:57 +0200
committerMichał Górny <mgorny@gentoo.org>2020-07-11 08:33:22 +0200
commitf7a73aebd072ed6cebfcadfdb7024d3d4afd7ee8 (patch)
tree1272178a446835fcd26cb5774a824ff1281c907e
parentsys-kernel/vanilla-kernel: Bump to 5.7.8 (diff)
downloadgentoo-f7a73aebd072ed6cebfcadfdb7024d3d4afd7ee8.tar.gz
gentoo-f7a73aebd072ed6cebfcadfdb7024d3d4afd7ee8.tar.bz2
gentoo-f7a73aebd072ed6cebfcadfdb7024d3d4afd7ee8.zip
sys-kernel/gentoo-kernel: Bump to 5.7.8
Signed-off-by: Michał Górny <mgorny@gentoo.org>
-rw-r--r--sys-kernel/gentoo-kernel/Manifest3
-rw-r--r--sys-kernel/gentoo-kernel/gentoo-kernel-5.7.8.ebuild85
2 files changed, 88 insertions, 0 deletions
diff --git a/sys-kernel/gentoo-kernel/Manifest b/sys-kernel/gentoo-kernel/Manifest
index 694e8450ee8..27a3dfc17d4 100644
--- a/sys-kernel/gentoo-kernel/Manifest
+++ b/sys-kernel/gentoo-kernel/Manifest
@@ -24,6 +24,8 @@ DIST genpatches-5.7-7.base.tar.xz 322208 BLAKE2B 832e79c3aa2a044993ba2b0f75e844e
DIST genpatches-5.7-7.extras.tar.xz 1764 BLAKE2B 01efd460c869218bda48f2b7b270d67e4da47b6ada6af38301495bfb960c64049898a8705146d40f6baf9d4782cea3e3be6aeb55a265ef5ce2b7616a8c7be657 SHA512 4fb0a24a6cbbb05cbb0c81daba926c6b71b01821f8cf60fb81fb57b5130783c99ff726e93b7a7a265ecfe1194a353189e790a5d17b8d86cd38441a1af2c3c74e
DIST genpatches-5.7-8.base.tar.xz 388040 BLAKE2B c6c9a9d335793f3b6d87597d41c260e2d91d01341dd8e8452629f1a9338c6d11d51e1be6af4def80e647ba7b198ac96d74df93a98cce0ad11428b5db12e90fcb SHA512 43928fe27bcbbbafcc050bcffb8101223922703b0c883ba8f69b171c019ced765fb4c932a6a3fd1a56e118995bb790ac21001308fba5ed0e714829d1604005cc
DIST genpatches-5.7-8.extras.tar.xz 1764 BLAKE2B 5502d8c06613ef52c202912b7459daa2c62bd4e937c367b82a0d6e0b50c50d29c8ea32828add17f4c90ac5bd6c994ee3e6229357ac186269a22389a481da9e52 SHA512 3c4087fed105ae8055e7db9f481518ad7f02d668a958a0c19a08e3ecf0ab3e517032e36ebdc2b2a4f747019036b89692cdbfcd379687eac8791f8d5a214c2fb3
+DIST genpatches-5.7-9.base.tar.xz 422996 BLAKE2B b642f97c554acfed1c360ed0a39e8dc926717bcae6d8544e6a8cffbcca892dd489709ef8490b409128a33612b74df7d57c35a10a8f4f6ed4a711bc26cac31293 SHA512 470d95d5964426fdc976f45ab66d03395f9597a5090b2f452607acce6baff5827dbfc385e033125429db4d8d4e32a7e356c3ccfac149c538c604cf331286c2f0
+DIST genpatches-5.7-9.extras.tar.xz 1764 BLAKE2B eb8d437e2761aa350548643ef39beaf73cd7935a0c2028b44edaf9d93c833b7050d11b66e540731708911df971f4bf4b947a89eeddcd9b49278fe1afceb16753 SHA512 4dc6cf6c181756aac4ea0bdffd571e64d787a592d5878d4c90f1f76e34beb3726e94d070b2138b68124ebd01de43b09595072c5f737eb6181d283edbc85d30e9
DIST linux-5.4.15-arch1.amd64.config 241498 BLAKE2B 2ba5eab2455c909878c36c6084718331042d0f6ab42127868ffb1522f4b53de38879e5707328968e943d1fa44cc504626af52b733829e943532931b49a612834 SHA512 582577bfe4139a8f50c5881cd5a9f24dc3da3124e464756f9efc3d39894eac378483d052e1142730585e40a45641166d309b5e1b5e379f4a5ea2d5ebb2d3314b
DIST linux-5.4.15-arch1.i686.config 241195 BLAKE2B d3332b83a3d57c450bb1d5e85d83c71f3be730a15775b7e1d89cec2d72d28f1921987c63d95fe7bea6778efe0012ece6186449f07f6aca35ccf86805186c0f4c SHA512 187d88bdde7325d46b4bfee8d59ace88ab7dc377606b411e1249f9deee2b571ec42bac52c29d26d67bfadece2e77aad6d5e0255a95a84c200757cb05c69160a1
DIST linux-5.4.tar.xz 109441440 BLAKE2B 193bc4a3147e147d5529956164ec4912fad5d5c6fb07f909ff1056e57235834173194afc686993ccd785c1ff15804de0961b625f3008cca0e27493efc8f27b13 SHA512 9f60f77e8ab972b9438ac648bed17551c8491d6585a5e85f694b2eaa4c623fbc61eb18419b2656b6795eac5deec0edaa04547fc6723fbda52256bd7f3486898f
@@ -33,6 +35,7 @@ DIST linux-5.6.tar.xz 111785252 BLAKE2B 8dbe02a8ca7fd3dcf512a15c5d8098c1e7f94257
DIST linux-5.7.1-arch1.amd64.config 248550 BLAKE2B 438ddcb212ffd5c257da2ad00eb9425e21f938ec8958f781af067c6d4eb45077c27d6f2aaf952fa728fd0c381e6476d1839dbc1c2074796194669591c3a17ee2 SHA512 db854554b8b8138ac44488ed8656bc620a01f361f3a6006cf0b8c7e3513c0d7b0f2be8534694b063af33ccaacdf95bd1f824470f4509a274f7f52c5b67e0f723
DIST linux-5.7.2-arch1.i686.config 247685 BLAKE2B 28f7e9cdada8876fb07523cf657a2cda175bfab7c3a57d7e5cba06b6158fde634efa4e59ff318fb21d63564245998bfe8c3b916985f078530ca57813c1d642e9 SHA512 6b16f1583739c4534b0ef3898f1bf02d47b6375867f34bf4a5171fac4cd19ce87b17ad430860e229740cf59661594890f32c42734584ddb7cdaca63cb3bc2336
DIST linux-5.7.6-arch1.amd64.config 248589 BLAKE2B e7c64a69a1ea4f09f29f40502e03917d6ba9847d05863e4e7781cbc68e264c86cd617dc9ec0f502b990808f6914426cda030bb6582cc012b939891c9ea60976a SHA512 5ce2921dd99ef9f3e82298b53fac01bd2e56e2a234b608671a7f02ff936c38b99e8e34b15d574304b3cfff943e787d87726621df2aacef7a5a988377bbc0eeb5
+DIST linux-5.7.6-arch1.i686.config 247724 BLAKE2B ac3dcd47ef34195b3f3c9d2a7c98362844756f1c87242e8aaad19b603d132264266eb82dae50376cbe0920d15f730717459bd78f8ac10421d311654c7ed60409 SHA512 cd735774b37b78ec1759fec030ea8895104894e149ee4ba47ff5bd91a4ff432df446008a9351c9963d7474b88cfb197b1014554409f0b465445a403305072b66
DIST linux-5.7.tar.xz 112690468 BLAKE2B b2b71e231507429b178b6b89be546c4a3ee2757f5d2c58b6137d383f16034a587225a75a9dbca6a01a433056ebe078487132c224e909a2971c9634687e47b1d1 SHA512 45bde01593f6147c8c169b9e46b4b56eee998142552ae0ff82f1dd21b1fd54f3b32f6283f6bd77ea717d374672167849e468c157f235d2f12f7d7816e4623bf6
DIST tinycorelinux-10.1-amd64.qcow2 16842752 BLAKE2B e013e76503c335739a9623c0901ca791937a0e6b177854535cadec1e2c2cd2df588283ed3128cf652595f32264fbfe5b3bd3a8c97665fd4da344e308535be366 SHA512 c3aeb20ff8769da9211694b7f701907cc7ae7582cdfad2c2fdc008d97ebcbd9dc08245b4e8f8450e1cb304bd705345a11fe79f901a47979fee91443841d55641
DIST tinycorelinux-10.1-x86.qcow2 14876672 BLAKE2B 3c760eb7438b13261e52ecfaa33a53649ced95f1ab40aae52134b8cdc31a16d7aa0d6a6dd716e268ed148e9d77a10b7c700b141b61d70c82d271ffe88e8e2a3c SHA512 9964538dc42f232a11949f74b61d46422ea5da3bdc253a217119bd0b8a750c40fd2da0b07157067be9ac0226472614f210a1248114df0d331df390979867a895
diff --git a/sys-kernel/gentoo-kernel/gentoo-kernel-5.7.8.ebuild b/sys-kernel/gentoo-kernel/gentoo-kernel-5.7.8.ebuild
new file mode 100644
index 00000000000..d3253f1bfef
--- /dev/null
+++ b/sys-kernel/gentoo-kernel/gentoo-kernel-5.7.8.ebuild
@@ -0,0 +1,85 @@
+# Copyright 2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit kernel-build
+
+MY_P=linux-${PV%.*}
+GENPATCHES_P=genpatches-${PV%.*}-$(( ${PV##*.} + 1 ))
+# https://git.archlinux.org/svntogit/packages.git/log/trunk/config?h=packages/linux
+AMD64_CONFIG_VER=5.7.6-arch1
+AMD64_CONFIG_HASH=39802f4425f0fc50dd8040ad30cfdd001bd2b40b
+# https://git.archlinux32.org/packages/log/core/linux/config.i686
+I686_CONFIG_VER=5.7.6-arch1
+I686_CONFIG_HASH=89ff2bdc14819f3834874e83b97620c5daeafb11
+
+DESCRIPTION="Linux kernel built with Gentoo patches"
+HOMEPAGE="https://www.kernel.org/"
+SRC_URI+=" https://cdn.kernel.org/pub/linux/kernel/v$(ver_cut 1).x/${MY_P}.tar.xz
+ https://dev.gentoo.org/~mpagano/dist/genpatches/${GENPATCHES_P}.base.tar.xz
+ https://dev.gentoo.org/~mpagano/dist/genpatches/${GENPATCHES_P}.extras.tar.xz
+ amd64? (
+ https://git.archlinux.org/svntogit/packages.git/plain/trunk/config?h=packages/linux&id=${AMD64_CONFIG_HASH}
+ -> linux-${AMD64_CONFIG_VER}.amd64.config
+ )
+ x86? (
+ https://git.archlinux32.org/packages/plain/core/linux/config.i686?id=${I686_CONFIG_HASH}
+ -> linux-${I686_CONFIG_VER}.i686.config
+ )"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="GPL-2"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+IUSE="debug"
+REQUIRED_USE="
+ arm? ( savedconfig )
+ arm64? ( savedconfig )"
+
+RDEPEND="
+ !sys-kernel/vanilla-kernel:${SLOT}
+ !sys-kernel/vanilla-kernel-bin:${SLOT}"
+BDEPEND="
+ debug? ( dev-util/dwarves )"
+
+src_prepare() {
+ local PATCHES=(
+ # meh, genpatches have no directory
+ "${WORKDIR}"/*.patch
+ )
+ default
+
+ # prepare the default config
+ case ${ARCH} in
+ amd64)
+ cp "${DISTDIR}"/linux-${AMD64_CONFIG_VER}.amd64.config .config || die
+ ;;
+ x86)
+ cp "${DISTDIR}"/linux-${I686_CONFIG_VER}.i686.config .config || die
+ ;;
+ arm|arm64)
+ return
+ ;;
+ *)
+ die "Unsupported arch ${ARCH}"
+ ;;
+ esac
+
+ local config_tweaks=(
+ # shove arch under the carpet!
+ -e 's:^CONFIG_DEFAULT_HOSTNAME=:&"gentoo":'
+ # we do support x32
+ -e '/CONFIG_X86_X32/s:.*:CONFIG_X86_X32=y:'
+ # disable signatures
+ -e '/CONFIG_MODULE_SIG/d'
+ -e '/CONFIG_SECURITY_LOCKDOWN/d'
+ # disable compression to allow stripping
+ -e '/CONFIG_MODULE_COMPRESS/d'
+ # disable gcc plugins to unbreak distcc
+ -e '/CONFIG_GCC_PLUGIN_STRUCTLEAK/d'
+ )
+ use debug || config_tweaks+=(
+ -e '/CONFIG_DEBUG_INFO/d'
+ )
+ sed -i "${config_tweaks[@]}" .config || die
+}